import express, { json } from 'express';
import cors from 'cors';
import 'express-async-errors';
import { handleError } from './utils/errors';
import rateLimit from 'express-rate-limit';
import { adRouter } from './routers/ad.router';
import { config } from './config/config';


const app = express();


app.use(cors({
    origin: config.corsOrigin,
}));
app.use(json());
app.use(rateLimit({
    windowMs: 5 * 60 * 1000, //5 min
    max: 100, // 100 zapytan
}))


// ROUTERS

app.use('/api/ad', adRouter);

app.use(handleError);

app.listen(3001, '0.0.0.0', () => {
    console.log('Listening on port https://localhost:3001');
})